package com.bomostory.sceneeditmodule.view

import android.content.Context
import android.graphics.drawable.Drawable
import android.util.AttributeSet
import android.widget.ImageView
import com.bomostory.sceneeditmodule.basicdata.Actor

class ActorView : ImageView {
    var actor: Actor? = null
        set(value) {
            value?.let {
                setImageDrawable(Drawable.createFromPath(it.resourcePath))
                //setOnTouchListener(onActorTouchListener)
            }
        }

    //var onActorTouchListener: OnTouchListener? = null

    constructor(context: Context) : super(context)

    constructor(context: Context, attrs: AttributeSet) : super(context, attrs)

    constructor(context: Context, attrs: AttributeSet, defStyle: Int) : super(context, attrs, defStyle)
}